from django.urls import path
from .views import ProductListEncrypted, ProductListDecrypt, UserRegistrationView, UserLoginView, UserLogoutView, \
    ProvidePublicKeyView, CreateOrderView, CreateProductReviewView, GetOrdersView, GetOrderView

urlpatterns = [
    path('encrypted/products', ProductListEncrypted.as_view(), name='products_encrypted'),
    path('decrypt/products', ProductListDecrypt.as_view(), name='products_decrypt'),
    path('order', CreateOrderView.as_view(), name='order'),
    path('orders', GetOrdersView.as_view(), name='get_orders'),
    path('order/<int:order_id>', GetOrderView.as_view(), name='get_order'),
    path('review', CreateProductReviewView.as_view(), name='review'),
    path('public-key', ProvidePublicKeyView.as_view(), name='public_key'),
    path('register', UserRegistrationView.as_view(), name='register'),
    path('login', UserLoginView.as_view(), name='login'),
    path('logout', UserLogoutView.as_view(), name='logout'),
]
