from ..products.models import Product
from rest_framework import serializers

from ..reviews.models import ProductReview
from ..reviews.serializers import ProductReviewSerializer


class ProductSerializer(serializers.ModelSerializer):
    reviews = serializers.SerializerMethodField('get_reviews')

    def get_reviews(self, product):
        reviews = ProductReview.objects.filter(product=product)
        return ProductReviewSerializer(reviews, many=True).data

    class Meta:
        model = Product
        fields = ('id', 'name', 'description', 'price', 'stock', 'created_at', 'updated_at', 'reviews')
