import {Container} from "react-bootstrap"
import {Navbar} from "./components/Navbar.tsx";
import {Route, Routes} from "react-router-dom";
import {Home} from "./pages/Home.tsx";
import {Register} from "./pages/Register.tsx";
import {Login} from "./pages/Login.tsx";
import {Store} from "./pages/Store.tsx";
import {Logout} from "./pages/Logout.tsx";
import {ClientZone} from "./pages/ClientZone.tsx";
import {AuthProvider} from './context/AuthContext.tsx';
import {ShoppingCartProvider} from "./context/ShoppingCartContext.tsx";


export function App() {
    return (
        <>
            <ShoppingCartProvider>
                <AuthProvider>
                    <Navbar/>
                    <Container className="mb-4">
                        <Routes>
                            <Route path="/" element={<Home/>}/>
                            <Route path="/register" element={<Register/>}/>
                            <Route path="/login" element={<Login/>}/>
                            <Route path="/store" element={<Store/>}/>
                            <Route path="/logout" element={<Logout/>}/>
                            <Route path="/client-zone" element={<ClientZone/>}/>
                        </Routes>
                    </Container>
                </AuthProvider>
            </ShoppingCartProvider>
        </>
    )
}