import {Stack} from "react-bootstrap";
import {useShoppingCart} from "../context/ShoppingCartContext.tsx";
import Button from "react-bootstrap/Button";

type CartItemProps = {
    id: number,
    quantity: number
}

export function CartItem({id, quantity}: CartItemProps) {
    const { jsonData, decreaseCartQuantity } = useShoppingCart()
    const item = jsonData.find(i => i.id === id)
    if (item == null) return null

    return (
        <>
            <Stack direction="horizontal" gap={3}>
                <div className="me-auto">
                    <div>
                        {item.name} {quantity > 1 && <span className="text-muted" style={{ fontSize: ".65rem" }}>x{quantity}</span>}
                    </div>
                    <div className="text-muted" style={{ fontSize: ".75rem" }}>
                        {item.price}
                    </div>
                </div>
                <div>{(item.price * quantity).toFixed(2)}</div>
                <Button className="px-3" variant="outline-danger" size="sm" onClick={() => decreaseCartQuantity(id)}>-</Button>
            </Stack>
        </>
    )
}