import Card from 'react-bootstrap/Card';
import {useEffect, useState} from 'react';
import Button from "react-bootstrap/Button";
import {useAuth} from '../context/AuthContext.tsx';
import {useShoppingCart} from "../context/ShoppingCartContext.tsx";


export function HomeForm() {

    // const [logged_in, setLoggedIn] = useState(false);
    const {isLoggedIn, loginAu, logoutAu} = useAuth();
    const {setDecrypted} = useShoppingCart();


    useEffect(() => {
        if (sessionStorage.getItem("session_token") !== null) {
            // setLoggedIn(true);
            loginAu();
            // console.log("token nie je null");
        } else {
            logoutAu();
        }
        // else {
        //     console.log("token je null");
        // }
        setDecrypted(false);
    }, []);


    return (
        <>
            <Card className='mt-5 me-auto text-center'>
                <Card.Body>
                    {isLoggedIn ? (
                        <div>
                            <Card
                                border="success"
                                text={"Success".toLowerCase() === 'light' ? 'dark' : 'white'}
                                style={{
                                    width: '18rem',
                                    // backgroundColor: '#9fdf9f',
                                    // borderColor: '#267326',
                                    // width: '92 %',
                                    margin: '0px auto',
                                    borderRadius: '5px',
                                    textAlign: 'left',
                                    color: '#3c763d',
                                    backgroundColor: '#dff0d8',
                                    border: '1px solid #3c763d',
                                    marginBottom: '20px'
                                }}
                                className="mb-5"
                            >
                                <Card.Body className="py-2">
                                    {isLoggedIn && (
                                        <p className="my-auto" style={{color: '#267326', fontWeight: 'bold'}}>You have
                                            logged in!</p>
                                    )}
                                </Card.Body>
                            </Card>
                            <p>Continue to the <strong><a href="/store" style={{textDecoration: "none", color: "black"}}>Store</a></strong> section to browse our
                                products.
                            </p>
                            <p>Continue to the <strong><a href="/client-zone" style={{textDecoration: "none", color: "black"}}>Client zone</a></strong> section to see your
                                orders.
                            </p>
                        </div>
                    ) : (
                        <div>
                            <Card
                                border="success"
                                text={"Success".toLowerCase() === 'light' ? 'dark' : 'white'}
                                style={{
                                    width: '18rem',
                                    // backgroundColor: '#9fdf9f',
                                    // borderColor: '#267326',
                                    // width: '92 %',
                                    margin: '0px auto',
                                    borderRadius: '5px',
                                    textAlign: 'left',
                                    color: '#3c763d',
                                    backgroundColor: '#dff0d8',
                                    border: '1px solid #3c763d',
                                    marginBottom: '20px'
                                }}
                                className="mb-5"
                            >
                                <Card.Body className="py-2">
                                    {!isLoggedIn && (
                                        <p className="my-auto" style={{color: '#267326', fontWeight: 'bold'}}>You are
                                            now logged out.</p>
                                    )}
                                </Card.Body>
                            </Card>
                            <p>You must be logged in to browse e-shop.</p>
                            <Button href="/login" variant="outline-dark">Log in</Button>
                        </div>
                    )}
                </Card.Body>
            </Card>
        </>
    );
}