import Button from "react-bootstrap/Button";
import {useShoppingCart} from "../context/ShoppingCartContext.tsx";

type StoreitemProps = {
    id: number,
    name: string,
    description: string,
    price: number,
    stock: number,
    created_at: string
    updated_at: string
}

export function StoreItem({id, name, description, price, stock, created_at, updated_at}: StoreitemProps) {

    const { getItemQuantity, increaseCartQuantity, decreaseCartQuantity } = useShoppingCart()
    const cartQuantity = getItemQuantity(id);

    return (
        <>
            <tr key={id}>
                {/*{Object.keys(item).slice(0, -1).map(key =>*/}
                {/*    <td key={key}>{item[key]}</td>*/}
                {/*)}*/}
                {/*<td>{id}</td>*/}
                <td>{name}</td>
                <td>{description}</td>
                <td>{price}</td>
                <td>{stock}</td>
                {/*<td>{created_at}</td>*/}
                {/*<td>{updated_at}</td>*/}
                <td
                    style={{verticalAlign: 'middle'}}
                    className="">
                    <Button variant="primary" className="pt-1" onClick={() => increaseCartQuantity(id)}>
                        +
                    </Button>
                </td>
                <td
                    style={{verticalAlign: 'middle'}}
                    className="">
                    <Button variant="danger" className="pt-1" onClick={() => decreaseCartQuantity(id)}>
                        -
                    </Button>
                </td>
            </tr>
        </>
    )
}