#!/usr/bin/env python

import sys
from cryptography.hazmat.primitives import hashes, serialization
from cryptography.hazmat.primitives.asymmetric import padding
from cryptography.hazmat.primitives.ciphers.aead import AESGCM

with open(sys.argv[1], "rb") as f:
    bytes = f.read()

with open(sys.argv[2], "rb") as f:
    private_key = f.read()

encrypted_key = bytes[:256]
nonce = bytes[256 : 256 + 12]
rest = bytes[256 + 12 :]

private_key = serialization.load_pem_private_key(private_key, password=None)
key = private_key.decrypt(
    encrypted_key,
    padding.OAEP(
        mgf=padding.MGF1(algorithm=hashes.SHA256()),
        algorithm=hashes.SHA256(),
        label=None,
    ),
)
aesgcm = AESGCM(key)
data = aesgcm.decrypt(nonce, rest, None).decode("utf-8")

if data == sys.argv[3]:
    print("SUCCESS")
else:
    print("FAILURE")
