import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ProfileComponent } from './profile/profile.component';
import { LandingPageComponent } from './landing-page/landing-page.component';
import { LoginPageComponent } from './auth/login-page/login-page.component';
import { FilteredRoutesComponent } from './filtered-routes/filtered-routes.component';
import { PaymentComponent } from './payment/payment.component';

const routes: Routes = [
  { path: '', component: LandingPageComponent },
  { path: 'register', component: LoginPageComponent },
  { path: 'profile', component: ProfileComponent },
  { path: 'filtered-routes', component: FilteredRoutesComponent },
  { path: 'payment', component: PaymentComponent },
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
