import { Component } from '@angular/core';
import { AuthService } from './auth.service';
import { HttpClient } from '@angular/common/http';
import { Router } from '@angular/router';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  title = 'upb-fe';

  constructor(private authService: AuthService, private http: HttpClient, private router: Router) {}

  public isLoggedIn: boolean = false;

  ngOnInit() {
    this.authService.isLoggedInObservable.subscribe(
      (loginStatus) => {
        this.isLoggedIn = loginStatus;
      }
    );
  }

  onLogout() {
    const formData: FormData = new FormData();

    this.http.post('api/logout', formData, { observe: 'response' }).subscribe(
      (response: any) => {
        if (response.status === 200) {
          this.authService.logout();
          console.log('Logout successful');
          this.router.navigate(['/']);
        }
      },
      (error: any) => {
        console.error('Logout failed', error);
      }
    );

  }

}
