import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class AuthService {

  private isLoggedIn = new BehaviorSubject<boolean>(false);

  constructor() { }

  login(): void {
    // Implement login logic here
    this.isLoggedIn.next(true);
  }

  logout(): void {
    // Implement logout logic here
    this.isLoggedIn.next(false);
  }

  get isLoggedInObservable(): Observable<boolean> {
    return this.isLoggedIn.asObservable();
  }


}