import { Component, Input } from '@angular/core';
import * as bootstrap from 'bootstrap';

@Component({
  selector: 'app-custom-modal',
  templateUrl: './custom-modal.component.html',
  styleUrls: ['./custom-modal.component.css']
})
export class CustomModalComponent {
  @Input() modalTitle: string = '';
  @Input() modalContent: string = '';
  show: boolean = false;

  constructor() { }

  open(title: string, content: string) {
    this.modalTitle = title;
    this.modalContent = content;
    this.show = true;
    setTimeout(() => {
      new bootstrap.Modal(document.getElementById('customModal')).show();
    });
  }

  close() {
    const modalElement = document.getElementById('customModal');
    const bsModal = bootstrap.Modal.getInstance(modalElement);

    if (bsModal) {
      bsModal.hide();
    }

    // Set show to false after the modal transition ends
    if (modalElement) {
      modalElement.classList.remove('show');
      modalElement.addEventListener('hidden.bs.modal', () => {
        this.show = false;
      }, { once: true });
    }
  }
}