import { Component, OnInit } from '@angular/core';
import { DataSharingService } from '../data-sharing.service';
import { HttpClient } from '@angular/common/http';
import { Router } from '@angular/router';

@Component({
  selector: 'app-filtered-routes',
  templateUrl: './filtered-routes.component.html',
  styleUrls: ['./filtered-routes.component.css']
})
export class FilteredRoutesComponent implements OnInit {
  filteredRoutes: any[] = [];

  constructor(private DataSharingService: DataSharingService, private http: HttpClient, private router: Router) {}

  ngOnInit() {
    this.DataSharingService.filteredRoutes$.subscribe(data => {
      this.filteredRoutes = data;
    });
  }

  buyTicket(routeId: number): void {
    this.http.post(`api/purchase/${routeId}`, null, { responseType: 'blob' })
      .subscribe({
        next: (response) => {
          this.router.navigate(['/profile']);
        },
        error: (error) => {
          //console.error('Error purchasing ticket', error);
        }
      });
  }
}
