#!/bin/bash

# Wait for the database to be ready
until python manage.py migrate; do
  echo "Waiting for database..."
  sleep 2
done

# Check if the database is empty
if [ "$(python manage.py shell -c "from django.contrib.auth import get_user_model; print(get_user_model().objects.count())")" = "0" ]; then
  echo "Loading fixtures..."
  python manage.py loaddata document_fixture.json
fi

# Start the server
exec python manage.py runserver 0.0.0.0:8000