import os
from Crypto.PublicKey import RSA

# Vytvori RSA kluce a ulozi ich do suboru
def generate_RSA_keys(save_to_file=False):
    key = RSA.generate(2048)
    private_key = key.export_key(pkcs=8)
    public_key = key.publickey().export_key()

    if save_to_file:
        save_keys_to_file(private_key, public_key)

    return private_key, public_key


# Ulozi RSA kluce do suboru
def save_keys_to_file(private_key, public_key):
    with open("keys/private_key.pem", "wb") as private_file:
        private_file.write(private_key)
        
    with open("keys/public_key.pem", "wb") as public_file:
        public_file.write(public_key)


# Nacita RSA kluc z suboru
def load_public_key():
    if not os.path.exists("keys/public_key.pem"):
        generate_RSA_keys(save_to_file=True)

    with open("keys/public_key.pem", "rb") as key_file:
        return RSA.import_key(key_file.read())


# Nacita RSA kluc z suboru
def load_private_key():
    if not os.path.exists("keys/private_key.pem"):
        generate_RSA_keys(save_to_file=True)

    with open("keys/private_key.pem", "rb") as key_file:
        return RSA.import_key(key_file.read())
