from . import views
from django.urls import include, path

# urls docs: https://docs.djangoproject.com/en/4.2/topics/http/urls/

urlpatterns = [
    path("", views.index, name="index"),
    path("home/", views.HomeView.as_view(), name="home"),

    path("services/", include("volby_backend.services.urls")),
    path("auth/", include("volby_backend.auth.urls")),
    path("user/", include("volby_backend.users.urls")),
    path("csrf/", views.csrf, name="csrf"),
    path("ping/", views.ping, name="ping"),
]
