from rest_framework import status
from rest_framework.response import Response


class SuccessResponse(Response):
    def __init__(self, data, message="Success", status_code=200):
        super().__init__(
            {"status": status_code, "message": message, "data": data},
            status=status_code,
            content_type="application/json",
        )


class ErrorResponse(Response):
    def __init__(self, status_code, message, detail):
        super().__init__(
            {"error": {"status": status_code, "message": message, "detail": detail}},
            status=status_code,
            content_type="application/json",
        )
