from django.middleware.csrf import get_token

from rest_framework import status
from rest_framework.decorators import api_view, permission_classes
from rest_framework.permissions import IsAuthenticated
from rest_framework.permissions import AllowAny
from rest_framework.response import Response
from rest_framework.views import APIView



# views docs: https://docs.djangoproject.com/en/4.2/topics/http/views/


def index(request):
    return Response("Hello, world. You're at the volby_backend index.")


class HomeView(APIView):
    permission_classes = (IsAuthenticated,)

    def get(self, request):
        content = {
            "message": "Welcome to the JWT Authentication page using React Js and Django!"
        }
        return Response(content)


@api_view(["GET"])
@permission_classes([AllowAny])
def csrf(request):
    return Response({"csrfToken": get_token(request)}, status=status.HTTP_200_OK)


@api_view(["POST"])
@permission_classes([AllowAny])
def ping(request):
    return Response({'result': 'ok'}, status=status.HTTP_200_OK)