import { Link } from "react-router-dom";
import LogoutButton from "./LogoutButton";

const NavBar = () => {
  return (
    <nav className="bg-white border px-2 py-1 rounded-full fixed left-1/2 top-5 -translate-x-1/2 shadow-sm">
      <div className="max-w-7xl mx-auto">
        <div className="flex justify-center">
          <ul className="flex items-center gap-2">
            <li className="inline-block rounded-full px-4 py-2 text-indigo-600 hover:text-indigo-500 transition-all duration-200" >
              <Link to="/">Prehľad strán</Link>
            </li>
            <li className="inline-block px-4 py-2 text-indigo-600 hover:text-indigo-500 transition-all duration-200">
              <Link to="/election">Voľby</Link>
            </li>
            <li className="inline-block px-4 py-2 text-indigo-600 hover:text-indigo-500 transition-all duration-200">
              <Link to="/account">Účet</Link>
            </li>
            <li className="inline-block ml-2">
              <LogoutButton />
            </li>
          </ul>
        </div>
      </div>
    </nav>
  );
};

export default NavBar;
