import { useContext } from 'react';
import { useNavigate } from 'react-router-dom';
import { AuthContext } from '../context/AuthContext';

export function useLogout() {
  const navigate = useNavigate();
  const { logout } = useContext(AuthContext);

  return async (voted: boolean = false) => {
    await logout();

    if (voted) {
      navigate('/voted');
      return;
    }

    navigate('/auth/login');
  };
}