import { FC, useContext } from 'react';
import NavBar from '../components/NavBar';
import { AuthContext } from '../context/AuthContext';

type Props = {
  children: React.ReactNode;
}

const Layout: FC<Props> = ({ children }) => {
  const { user } = useContext(AuthContext);

  return (
    <>
      {user ? (!user.voted && <NavBar />) : null}
      <main className='container mx-auto'>
        {children}
      </main>
      {/* TODO: footer component goes here if needed */}
    </>
  );
};

export default Layout;