import { FC, useContext, useEffect } from 'react';
import { AuthContext } from '../context/AuthContext';
import { useNavigate } from 'react-router-dom';


const VotedPage: FC = () => {
  const { user } = useContext(AuthContext);
  const navigate = useNavigate();

  useEffect(() => {
    if (!user || !user.voted) {
      navigate('/auth/login');
    }
  }, [user, navigate]);

  return (
    <section className='min-h-screen flex flex-col justify-center items-center"'>
      <div className="bg-white p-8 rounded-lg shadow-md w-full max-w-sm mx-auto">
        <div className="bg-green-100 border border-green-400 text-green-700 px-4 py-3 rounded relative" role="alert">
          <span className="block sm:inline">Ďakujeme za Váš hlas.</span>
        </div>
      </div>
    </section>
  );
}
export default VotedPage;