# Zadanie3-upb
Cieľom zadania je rozšíriť existujúcu webovú aplikáciu z predchádzajúceho zadania. Jadrom zadania je oboznámiť sa s bezpečnou správou používateľských hesiel v databáze.
## Použité technológie:
- Jazyk: Python Flask
- DB: PostgreSQL
## Úlohy
- [x] Implementujte prihlasovanie a registráciu používateľov. V tomto bode je nutné zamerať sa na bezpečné uloženie hesla do databázy (t.j. hash + salt). Ak ste tak nespravili v predchádzajúcom zadaní, je potrebné implementovať aj databázovú infraštruktúru na reprezentáciu používateľov.
- [x] Implementujte časový na rozostup pri prihlasovaní (ochrana pred brute-force).
- [x] Implementujte kontrolu zložitosti hesla pri registrácii (t.j. aby spĺňalo určité bezpečnostné štandardy – veľké a malé písmená, dĺžka, špeciálne znaky a pod.)
- [x] Pri registrácii taktiež implementujte kontrolu hesla či sa nenachádza v slovníku známych a ľahko uhádnuteľných hesiel

## Podúlohy, rozšírenie riešenia o ďalšie funkcionality
- [ ] Umožniť používateľovi nahrať verejný kľúč (ktorý sa následne bude používať na šifrovanie).
- [ ] Umožniť používateľovi nahrať privátny kľúč a dešifrovanie (pozn. dešifrovanie by malo prebiehať na strane klienta a privátny kľúč by sa nemal odosielať na server).
- [ ] Voliteľné: umožniť používateľovi vygenerovanie asymetrického kľúčového páru (verejný sa nahrá do databazy, privátny si používateľ stiahne lokálne).
## Riešenie
Na webovej aplikácií je vytvorený registračný formulár, kde sa zadáva prihlasovacie meno, email a heslo, ktoré musí obsahovať jedno veľké písmeno, číslo a špeciálny znak.
Následne sa dokáže používateľ prihlásiť pomocou prihlasovacieho formulára. Po prihlásení používateľa presmeruje na domovskú obrazovku webovej aplikácie. Na tejto domovskej obrazovke si môže
používateľ v menu vybrať, či chce vložiť/nahrať verejný kľuč alebo nahrať privátny kľuč a dešifrovať správu.