from enum import Enum


class RecordType(Enum):
    PRICHOD = 1
    ODCHOD = 2
    DOVOLENKA_OD = 3
    DOVOLENKA_DO = 4


class RecordNames(Enum):
    PRICHOD = "Príchod"
    ODCHOD = "Odchod"
    DOVOLENKA_OD = "Začiatok dovolenky"
    DOVOLENKA_DO = "Koniec dovolenky"


class RecordAuthor(Enum):
    TERMINAL = 1
    USER = 2
    VIRT_TERMINAL = 3


class RecordAuthorNames(Enum):
    TERMINAL = "Terminál"
    USER = "Používateľ"
    VIRT_TERMINAL = "Virtuálny terminál"


def get_types_for_select():
    record_types = RecordType.__members__.values()
    record_types_with_diacritics = RecordNames.__members__.values()
    record_data = zip(record_types, record_types_with_diacritics)  # Combine the two enums into a list of tuples
    return record_data


# function that on input will be number from 1 to 4 and it will return the name of the record from RecordNames enum
def get_record_name(record_type):
    record_names = RecordNames.__members__.values()
    record_names_list = list(record_names)
    return record_names_list[record_type - 1].value


def get_record_author(record_author):
    record_author_names = RecordAuthorNames.__members__.values()
    record_names_list = list(record_author_names)
    return record_names_list[record_author - 1].value
