// // Check if keys have been generated previously
//const keysGenerated = sessionStorage.getItem('keysGenerated') === 'true';
//
//// If keys have been generated, disable the button
//if (keysGenerated) {
//    document.getElementById('generateKeys').disabled = true;
//}

document.getElementById('generateKeys').addEventListener('click', function () {
    // Check if keys have already been generated
//    if (keysGenerated) {
//        alert('Keys have already been generated for this user.');
//        return;
//    }

    // Generate an asymmetric key pair
    const crypto = window.crypto || window.msCrypto; // Check for browser support
    if (crypto) {
        crypto.subtle.generateKey(
            {
                name: 'RSA-OAEP',
                modulusLength: 2048,
                publicExponent: new Uint8Array([1, 0, 1]),
                hash: 'SHA-256',
            },
            true,
            ['encrypt', 'decrypt']
        ).then((keyPair) => {
            // Export the private key
            crypto.subtle.exportKey('pkcs8', keyPair.privateKey).then((privateKey) => {
                const privatePEM = new TextEncoder().encode(
                    '-----BEGIN PRIVATE KEY-----\n' +
                    btoa(String.fromCharCode.apply(null, new Uint8Array(privateKey))) +
                    '\n-----END PRIVATE KEY-----'
                );

                // Export the public key
                crypto.subtle.exportKey('spki', keyPair.publicKey).then((publicKey) => {
                    const publicPEM = new TextEncoder().encode(
                        '-----BEGIN PUBLIC KEY-----\n' +
                        btoa(String.fromCharCode.apply(null, new Uint8Array(publicKey))) +
                        '\n-----END PUBLIC KEY-----'
                    );

                    // Trigger immediate downloads
                    downloadPEM(privatePEM, 'private.pem');
                    downloadPEM(publicPEM, 'public.pem');
//
//                    // Set a flag indicating that keys have been generated
//                    sessionStorage.setItem('keysGenerated', 'true');
//
//                    // Disable the button
//                    document.getElementById('generateKeys').disabled = true;
                });
            });
        });
    } else {
        alert('Your browser does not support the Web Crypto API.');
    }
});

function downloadPEM(data, filename) {
    const blob = new Blob([data], { type: 'application/octet-stream' });
    const url = URL.createObjectURL(blob);
    const a = document.createElement('a');
    a.href = url;
    a.download = filename;
    a.style.display = 'none';
    document.body.appendChild(a);
    a.click();
    document.body.removeChild(a);
}