function encrypt(publicKey, inputText) {
    const encryptedMess = publicKey.encrypt(inputText, "RSA-OAEP", {
        md: forge.md.sha256.create(),
        mgf1: forge.mgf1.create()
    });
    return forge.util.encode64(encryptedMess);
}

function sendLoginForm(username,password){
    try {
        $.ajax({
        url: '/public-key',
        method: 'GET',
        dataType: 'text',
        success: function (publicKeyPem) {
            const publicKey = forge.pki.publicKeyFromPem(publicKeyPem);
            let user = encrypt(publicKey, username);
            let pass = encrypt(publicKey, password);
            let key = generateAesKey();
            let iv = generateAesIv();
            let encryptedKey = encrypt(publicKey, key);
            let encryptedIv = encrypt(publicKey, iv);
            const jsonData = {
                "username": user,
                "password": pass,
                "key": encryptedKey,
                "iv": encryptedIv
            };
            $.ajax({
                type: "POST",
                url: "/login",
                data: JSON.stringify(jsonData),
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (response) {
                    setCookie('key',key,{expires: Date.now() + 7200000, secure: true})
                    setCookie('iv',iv,{expires: Date.now() + 7200000, secure: true})
                    window.location.replace("/home")
                },
                error: function (xhr, status, error) {
                    // console log xhr.responseText "error" and "location" from response
                    loginMessage.style.display = 'block'
                    loginMessage.innerHTML = xhr.responseJSON.error
                    errorType.innerHTML = 'pri prihlasovaní'
                    errorModal.show()
                }
            });
        },
        error: function (xhr, status, error) {
            loginMessage.style.display = 'block'
            loginMessage.innerHTML = "Ospravedlňujeme sa za nepríjemnosti. Prosím skúste to neskôr."
            errorType.innerHTML = 'servera'
            errorModal.show()
        }
        });

    } catch (error) {
        loginMessage.style.display = 'block'
        loginMessage.innerHTML = "Ospravedlňujeme sa za nepríjemnosti. Prosím skúste to neskôr."
        errorType.innerHTML = 'servera'
        errorModal.show()
    }
}

function sendRegistrationForm(username,password,email){
    try {
        $.ajax({
        url: '/public-key',
        method: 'GET',
        dataType: 'text',
        success: function (publicKeyPem) {
            const publicKey = forge.pki.publicKeyFromPem(publicKeyPem);
            let user = encrypt(publicKey, username);
            let mail = encrypt(publicKey, email);
            let pass = encrypt(publicKey, password);
            let key = generateAesKey();
            let iv = generateAesIv();
            let encryptedKey = encrypt(publicKey, key);
            let encryptedIv = encrypt(publicKey, iv);
            const jsonData = {
                "username": user,
                "email": mail,
                "password": pass,
                "key": encryptedKey,
                "iv": encryptedIv
            };
            $.ajax({
                type: "POST",
                url: "/register",
                data: JSON.stringify(jsonData),
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (response) {
                    setCookie('key',key,{expires: Date.now() + 7200000, secure: true})
                    setCookie('iv',iv,{expires: Date.now() + 7200000, secure: true})
                    window.location.replace("/home")
                },
                error: function (xhr, status, error) {
                    // console log xhr.responseText "error" and "location" from response
                    loginMessage.style.display = 'block'
                    loginMessage.innerHTML = xhr.responseJSON.error
                    errorType.innerHTML = 'pri registrácii'
                    errorModal.show()
                }
            });
        },
        error: function (xhr, status, error) {
            loginMessage.style.display = 'block'
            loginMessage.innerHTML = "Ospravedlňujeme sa za nepríjemnosti. Prosím skúste to neskôr."
            errorType.innerHTML = 'servera'
            errorModal.show()
        }
        });

    } catch (error) {
        loginMessage.style.display = 'block'
        loginMessage.innerHTML = "Ospravedlňujeme sa za nepríjemnosti. Prosím skúste to neskôr."
        errorType.innerHTML = 'servera'
        errorModal.show()
    }
}
