CREATE DATABASE IF NOT EXISTS upb;
USE upb;

CREATE TABLE IF NOT EXISTS pouzivatel (id INT UNSIGNED AUTO_INCREMENT PRIMARY KEY, meno VARCHAR(128) NOT NULL, email VARCHAR(256) NOT NULL, heslo VARCHAR(512) NOT NULL,cislo_op VARCHAR(16) NOT NULL, verejny_kluc VARCHAR(2048));
INSERT INTO `pouzivatel` (`id`, `meno`, `email`, `heslo`, `cislo_op`) VALUES ('1', 'Peter Novak', 'peternovak@gmail.com', '$2y$10$sbHuKYKYDFNPMKJ4K42tQ.SxUQy.MpLXEQNXWYHkGmlXwL1rmCnfO', 'HG554430'),
                                                                             ('2', 'Jozko Mrkvicka', 'jozkomrkvicka@gmail.com', '$2y$10$iKWdpllWJH1RFwe0IgCc7.GsLRuBoIpxUtjxYZrgmr82VEkq6GsUC', 'HG554434'),
                                                                             ('3', 'Alice Bobova', 'alicebobova@gmail.com', '$2y$10$.BVtOURSVcwIjvNGW1RwOeAauBS/47jRftzD1Dr4px9BRWtk/gxZG', 'HG554633')
                                                                             ;

CREATE TABLE `upb`.`ucet` (`pouzivatel_id` INT UNSIGNED NOT NULL, `iban` VARCHAR(128) NOT NULL, `zostatok` DOUBLE NOT NULL, PRIMARY KEY (`iban`));

ALTER TABLE `upb`.`ucet` ADD FOREIGN KEY (`pouzivatel_id`) REFERENCES `pouzivatel`(`id`) ON DELETE CASCADE ON UPDATE CASCADE;

INSERT INTO `upb`.`ucet` (`pouzivatel_id`, `iban`, `zostatok`) VALUES ('1','SK8975000000000012345671', 450000.0),
                                                                      ('2','SK8975000000000012345677', 450000.0),
                                                                      ('3','SK8975000000000012345679', 450000.0);

CREATE TABLE `upb`.`platba` (`id` INT UNSIGNED NOT NULL AUTO_INCREMENT,`z_uctu` VARCHAR(128) NOT NULL,`na_ucet` VARCHAR(128) NOT NULL,`nazov_prijemcu` VARCHAR(128) NOT NULL,`variabilny_symbol` VARCHAR(128) NOT NULL,`suma` DOUBLE NOT NULL,
`cas` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,PRIMARY KEY (`id`));

ALTER TABLE `upb`.`platba` ADD FOREIGN KEY (`z_uctu`)REFERENCES `upb`.`ucet`(`iban`)ON DELETE CASCADE ON UPDATE CASCADE;

INSERT INTO `upb`.`platba` ( `z_uctu`, `na_ucet`,`nazov_prijemcu`,`variabilny_symbol`, `suma`) VALUES ('SK8975000000000012345671', 'SK8975000000000012345677','Jozko Mrkvicka','123456787', 4000.0),
                                                                                                        ('SK8975000000000012345677', 'SK8975000000000012345671','Peter Novak','1234567765',  4000.0),
                                                                                                        ('SK8975000000000012345679', 'SK8975400000000012345671','Peter Novak','1234567760', 4000.0);

