<?php
require_once('config.php');

session_start();

if (!isset($_SESSION["email"]) || $_SESSION["loggedin"] !== true) {
    header("Location: login.php");
    exit;
}

?>

<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
    <title>Public and Private Key Management</title>
</head>
<body>

<div class="d-flex pt-2 mt-4 justify-content-center">
    <div>
        <a class="mb-3 btn btn-danger" href="logout.php">Log out</a>
        <br>
        <h1>Upload Your Public Key in .pem format</h1>
        <form action="" method="post" enctype="multipart/form-data">
            <div class="form-group mb-3">
                <input class="form-control mb-3"  type="file" name="public_key" accept=".pem">
                <button type="submit" class="btn btn-primary">Upload Public Key</button>
            </div>
        </form>

        <h1>Upload Your Private Key and Decrypt</h1>
        <form id="uploadForm">
            <div class="form-group mb-3">
                <input class="form-control mb-3" type="file" id="privateKey" accept=".pem">
                <button class="btn btn-primary" type="button" onclick="decryptData()">Decrypt Private Key</button>
            </div>
        </form>
        <div id="decryptedData"></div>
        <?php

        try {
            $db = new PDO("mysql:host=$hostname;dbname=$dbname", $username, $password);
            $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (PDOException $e) {
            echo $e->getMessage();
        }
        $query = "Select * from pouzivatel where id=1";
        $stmt1 = $db->prepare($query);
        $stmt1->execute();
        $results1 = $stmt1->fetch(PDO::FETCH_ASSOC);
        $userOp = $results1["cislo_op"];

        //$encryptedData = "";
        if ($_SERVER["REQUEST_METHOD"] == "POST") {
            if (isset($_FILES["public_key"])) {
                $file = $_FILES["public_key"];

                // Check if the file is a valid public key
                if (isValidPublicKey($file["tmp_name"])) {
                    // Define the directory where you want to store the public keys
                    $uploadDir = "public_keys/";

                    // Ensure the directory exists or create it
                    if (!file_exists($uploadDir)) {
                        mkdir($uploadDir, 0755, true);
                    }

                    // Generate a unique filename for the public key
                    $uploadFile = $uploadDir . basename($file["name"]);

                    // Move the uploaded public key to the desired directory
                    if (move_uploaded_file($file["tmp_name"], $uploadFile)) {
                        echo "Public key uploaded successfully!";
                    } else {
                        echo "Failed to upload the public key.";
                    }
                    // Encrypt $userOp with the user's public key
                    $userPublicKey = file_get_contents($uploadFile);
                    $encryptedData = encryptDataWithPublicKey($userOp, $userPublicKey);

                    // Store the encrypted data in a file
                    $encryptedDataFile = 'encrypted_data.json';
                    $response = array("encryptedData" => base64_encode($encryptedData));

                    // Write the JSON-encoded data to the file
                    file_put_contents($encryptedDataFile, json_encode($response));

                } else {
                    echo "Invalid public key format. Please upload a valid public key.";
                }
            }
        }

        function encryptDataWithPublicKey($data, $userPublicKey) {
            openssl_public_encrypt($data, $encryptedData, $userPublicKey);
            return $encryptedData;
        }

        function isValidPublicKey($filePath) {
            // Read the content of the uploaded file
            $fileContent = file_get_contents($filePath);

            // Use OpenSSL to parse the PEM-encoded key
            $parsedKey = openssl_pkey_get_public($fileContent);

            // Check if the key is valid
            if ($parsedKey !== false) {
                // The content appears to be a valid PEM-encoded public key
                return true;
            } else {
                // The content does not match the expected format
                return false;
            }
        }
        ?>

        <h1>Generate Asymmetric Key Pair</h1>
        <button id="generateKeyPair" class="btn btn-primary">Generate Key Pair</button>

        <h2>Public Key</h2>
        <textarea id="publicKey" rows="5" cols="50" readonly></textarea>
        <h2>Public Key (Downloadable)</h2>
        <a id="publicKeyDownload" class="btn btn-primary" style="display: none;">Download Public Key</a>

        <h2>Private Key (Downloadable)</h2>
        <a id="privateKeyDownload" class="btn btn-primary" style="display: none;">Download Private Key</a>

        <!--
        <h1>Generate Asymmetric Key Pair</h1>
        <form method="POST">
            <button id="generateKeyPair" class="btn btn-primary" type="submit">Generate Key Pair</button>
        </form>
        -->

    </div>
</div>
<script>
    // Function to perform decryption on the client side
    function decryptData() {
        console.log("som v decryptData");
        const privateKeyFile = document.getElementById('privateKey').files[0];
        console.log("privateKeyFile" + privateKeyFile);
        if (privateKeyFile) {
            const reader = new FileReader();
            reader.onload = function (e) {
                const privateKeyPEM = e.target.result;
                console.log("privateKeyPEM" +  privateKeyPEM);

                // Perform decryption using the privateKeyPEM
                decryptUsingPrivateKey(privateKeyPEM);


            };

            reader.readAsText(privateKeyFile);
        } else {
            alert('Please select a private key file.');
        }
    }

    function decryptUsingPrivateKey(privateKeyPEM) {
        // Parse the RSA private key from the PEM format

        const privateKey = forge.pki.privateKeyFromPem(privateKeyPEM);

        console.log("privateKey:")
        console.log(privateKey);
        console.log(typeof privateKey);
        var encryptedData = null;

        const containerURL = 'http://localhost/encrypted_data.json';

        // Fetch the JSON file from the Docker container
        fetch(containerURL)
            .then(response =>{
                console.log("response:")
                console.log(response);
                return response.json()
            })
            .then(data => {
                // Use the 'data' variable to access the content of the file
                console.log("data")
                console.log(data);
                encryptedData = atob(data.encryptedData);
                console.log("encryptedData: ")
                console.log(encryptedData);

                try {

                    // Decrypt the data using the private key
                    console.log(privateKey.privateKey)
                    const decryptedData = privateKey.decrypt(encryptedData)
                    console.log("decryptedData: ")
                    console.log(decryptedData);

                    // Convert the decrypted data to a string
                    var data2 = forge.util.decodeUtf8(decryptedData);

                    document.getElementById('decryptedData').textContent = `Decrypted Data: ${data2}`;
                } catch (error) {
                    console.error('Decryption error:', error);
                    return 'Decryption error';
                }

            })
            .catch(error => {
                console.error('Error fetching the file:', error);
            });

    }

    // Function to generate asymmetric key pair
    async function generateAsymmetricKeyPair() {
        try {
            // Generate a private key using OpenSSL
            const privateKeyPEM = await generateRSAKey();
            console.log(privateKeyPEM)

            // Display the public key
            const publicKeyPEM = extractPublicKeyFromPrivateKeyPEM(privateKeyPEM);
            document.getElementById('publicKey').value = publicKeyPEM;

            // Enable downloading of the private key
            const privateKeyBlob = new Blob([privateKeyPEM], { type: 'application/x-pem-file' });
            const privateKeyURL = URL.createObjectURL(privateKeyBlob);
            const privateKeyDownload = document.getElementById('privateKeyDownload');
            privateKeyDownload.href = privateKeyURL;
            privateKeyDownload.download = 'private_key.pem';
            privateKeyDownload.style.display = 'block';

            const publicKeyBlob = new Blob([publicKeyPEM], { type: 'application/x-pem-file' });
            const publicKeyURL = URL.createObjectURL(publicKeyBlob);
            const publicKeyDownload = document.getElementById('publicKeyDownload');
            publicKeyDownload.href = publicKeyURL;
            publicKeyDownload.download = 'public_key.pem';
            publicKeyDownload.style.display = 'block';

            let adresa = 'http://localhost/save_public.php';

            await axios.post(adresa, {
                    public_key: publicKeyPEM
                }, {
                    headers: {
                        'Content-Type': 'multipart/form-data'
                    }
                }
            ).then(response => {
                    //if (response.status === 201) {
                    // const toastLiveExample = document.getElementById('toastSuccess')
                    // const toast = new bootstrap.Toast(toastLiveExample)
                    // toast.show()
                    //}
                    alert("Verejný kľúč bol uložený do databázy")
                }
            ).catch(error => {
                // const toastLiveExample = document.getElementById('toastError')
                // const toast = new bootstrap.Toast(toastLiveExample)
                // toast.show()
            })
        } catch (error) {
            console.error('Key generation error:', error);
        }
    }

    // Function to generate an RSA private key using OpenSSL
    async function generateRSAKey() {
        const response = await fetch('generate_rsa_key.php');
        const privateKeyPEM = await response.text();
        return privateKeyPEM;
    }

    // Function to extract the public key from a private key in PEM format
    function extractPublicKeyFromPrivateKeyPEM(privateKeyPEM) {
        try {
            // Create a resource for the private key from the provided PEM string
            const privateKeyResource = forge.pki.privateKeyFromPem(privateKeyPEM);

            // Extract the public key components
            const publicKey = forge.pki.setRsaPublicKey(
                privateKeyResource.n,
                privateKeyResource.e
            );

            // Convert the public key to PEM format
            const publicKeyPEM = forge.pki.publicKeyToPem(publicKey);

            return publicKeyPEM;
        } catch (error) {
            console.error('Error extracting public key:', error);
            return 'Error extracting public key';
        }
    }

    // Attach the generate key pair function to the button
    document.getElementById('generateKeyPair').addEventListener('click', generateAsymmetricKeyPair);


</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/forge/0.10.0/forge.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.3.4/axios.min.js"></script>
</body>
</html>