<?php

// Generate a new RSA private key
$privateKey = openssl_pkey_new(array(
    'private_key_bits' => 2048,
    'private_key_type' => OPENSSL_KEYTYPE_RSA,
));

if ($privateKey === false) {
    // Error occurred during key generation
    http_response_code(500);
    die("Error generating RSA private key");
}

// Export the private key to a PEM-encoded string
openssl_pkey_export($privateKey, $privateKeyPEM);
echo $privateKeyPEM;

// Free the key resource
//openssl_pkey_free($privateKey);

// Return the PEM-encoded private key
//header('Content-Type: text/plain');
//echo $privateKeyPEM;
?>