<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
error_reporting(E_WARNING);
require_once('config.php');

try {
    $db = new PDO("mysql:host=$hostname;dbname=$dbname", $username, $password);
    $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
    echo $e->getMessage();
}
session_start();

if (!isset($_SESSION["email"]) || $_SESSION["loggedin"] !== true) {
    header("Location: login.php");
    exit;
}

$email = $_SESSION["email"];
//echo "EMAIL: " . $email;
$query = "SELECT pouz.meno, pouz.email, u.zostatok, u.iban FROM pouzivatel pouz JOIN ucet u ON pouz.id=u.pouzivatel_id WHERE pouz.email=:email";
$stmt = $db->prepare($query);
$stmt->bindParam(':email', $email, PDO::PARAM_STR);
$stmt->execute();  // Execute the prepared statement
$result = $stmt->fetch(PDO::FETCH_ASSOC);

//var_dump($result);

$name = $result['meno'];

// Split the string into an array of words
$nameParts = explode(" ", $name);

// Take the first element of the array
$firstName = $nameParts[0];

$iban = $result['iban'];
$query = "SELECT * FROM platba p WHERE p.z_uctu LIKE :iban OR p.na_ucet LIKE :iban;";
$stmt = $db->prepare($query);
$stmt->bindParam(':iban', $iban, PDO::PARAM_STR);
$stmt->execute();  // Execute the prepared statement
$results = $stmt->fetchAll(PDO::FETCH_ASSOC);

//var_dump($results);

?>



<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.3/jquery.min.js" integrity="sha512-STof4xm1wgkfm7heWqFJVn58Hm3EtS31XFaagaa8VMReCXAkQnJZ+jEy8PCC/iT18dFy95WcExNHFTqLyp72eQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

    <link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.3.0/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdn.datatables.net/v/bs5/jq-3.7.0/dt-1.13.7/b-2.4.2/b-colvis-2.4.2/b-html5-2.4.2/b-print-2.4.2/date-1.5.1/r-2.5.0/sc-2.3.0/sb-1.6.0/sp-2.2.0/sl-1.7.0/datatables.min.css" rel="stylesheet">

    <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.3.0/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/v/bs5/jq-3.7.0/dt-1.13.7/b-2.4.2/b-colvis-2.4.2/b-html5-2.4.2/b-print-2.4.2/date-1.5.1/r-2.5.0/sc-2.3.0/sb-1.6.0/sp-2.2.0/sl-1.7.0/datatables.min.js"></script>


    <script src="script/table.js"></script>
    <title>Internet Banking</title>
</head>
<body>

<header class="mb-4">
    <nav class="navbar navbar-expand-lg bg-body-tertiary" data-bs-theme="dark">
        <div class="container-fluid">
            <a class="navbar-brand" href="index.php"><?php echo $name?></a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav"
                    aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="payment.php">Nová platba</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="edituser.php">Zmena osobných údajov</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="pdf.php">Mesačný výpis</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="logout.php">Odhlásiť sa</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
</header>


<div class="d-flex flex-wrap justify-content-around mb-3">
    <div class="card mb-3 p-6" style="max-width: 70rem; background-color: #2b3035">
        <h3 class="card-header border-bottom border-dark-subtle text-center text-light">Váš účet</h3>
        <div class="card-body">
            <h4 class="card-title text-light text-center">Zostatok: <?php echo $result['zostatok']?> €</h4>
            <h5 class="card-title text-light">IBAN: <?php echo $result['iban']?></h5>
        </div>
    </div>
</div>



<div class="container-md border border-secondary pt-2 mb-2 table-responsive pb-3">
    <div class="container-md d-flex justify-content-center mb-2 mt-2">
        <h2>Pohyby na účte</h2>
    </div>
    <hr>
    <table class="table table-bordered table-striped table-centered" id="platby">
        <thead class="text-secondary">
        <tr class="text-secondary">
            <th>MENO PRÍJEMCU</th>
            <th>DÁTUM PLATBY</th>
            <th>SUMA</th>
        </tr>
        </thead>
        <tbody>
        <?php
        foreach ($results as $result){
            if ($result['nazov_prijemcu'] == $name) {
                echo "<tr><td>" . $name . " (Vy)</td><td>" . $result["cas"] . "</td><td class='fw-bold fs-6 text-center text-success'>+" . $result["suma"] .
                    " €</td></tr>";
            }else{
                echo "<tr><td>" . $result["nazov_prijemcu"] . "</td><td>" . $result["cas"] . "</td><td class='fw-bold text-center fs-6 text-danger'>-" . $result["suma"] .
                    " €</td></tr>";
            }
        }
        ?>
        </tbody>
    </table>
</div>


</body>

</html>