<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
error_reporting(E_WARNING);
require_once('config.php');
require_once('TCPDF-main/tcpdf.php');

try {
    $db = new PDO("mysql:host=$hostname;dbname=$dbname", $username, $password);
    $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
    echo $e->getMessage();
}
session_start();

if (!isset($_SESSION["email"]) || $_SESSION["loggedin"] !== true) {
    header("Location: login.php");
    exit;
}

$email = $_SESSION["email"];
//echo "EMAIL: " . $email;
$query = "SELECT pouz.meno, pouz.email, pouz.cislo_op, u.zostatok, u.iban FROM pouzivatel pouz JOIN ucet u ON pouz.id=u.pouzivatel_id WHERE pouz.email=:email";
$stmt = $db->prepare($query);
$stmt->bindParam(':email', $email, PDO::PARAM_STR);
$stmt->execute();  // Execute the prepared statement
$result = $stmt->fetch(PDO::FETCH_ASSOC);

//var_dump($result);

$name = $result['meno'];

// Split the string into an array of words
$nameParts = explode(" ", $name);

// Take the first element of the array
$firstName = $nameParts[0];

$iban = $result['iban'];
$query = "SELECT * FROM platba p WHERE (p.z_uctu LIKE :iban OR p.na_ucet LIKE :iban) AND p.cas >= DATE_SUB(NOW(), INTERVAL 1 MONTH) ORDER BY p.cas DESC;";
$stmt = $db->prepare($query);
$stmt->bindParam(':iban', $iban, PDO::PARAM_STR);
$stmt->execute();  // Execute the prepared statement
$results = $stmt->fetchAll(PDO::FETCH_ASSOC);

$pdf = new TCPDF();

$pdf->SetProtection(array(),$result['cislo_op']);

$pdf->SetAuthor('Zlucka 7');
$pdf->SetTitle('Mesacny vypis');

$pdf->AddPage();

$pdf->SetFont('helvetica', 'B', 12);
$pdf->Cell(0, 10, 'Pohyby za posledný mesiac', 0, 1,'C');
$pdf->Ln(); // Move to the next line

$pdf->Cell(62, 10, 'Meno príjemcu', 1, 0,'C');
$pdf->Cell(62, 10, 'Dátum pohybu', 1, 0,'C');
$pdf->Cell(62, 10, 'Suma', 1, 0,'C');
$pdf->Ln(); // Move to the next line

$pdf->SetFont('helvetica', '', 10);

foreach ($results as $result) {
    $pdf->Cell(62, 10, $result['nazov_prijemcu'], 1, 0,'C');
    $pdf->Cell(62, 10, $result['cas'], 1, 0,'C');
    if ($result['nazov_prijemcu'] == $name) {
        $pdf->Cell(62, 10, '+' . $result['suma'] . ' €', 1, 0, 'C');
    } else{
        $pdf->Cell(62, 10, '-' . $result['suma'] . ' €', 1, 0, 'C');
    }
    $pdf->Ln(); // Move to the next line
}


$pdf->Output('mesacny_vypis.pdf', 'D');

?>
