"""Create User table

Revision ID: 6ac553965677
Revises: 
Create Date: 2023-10-17 16:20:05.387825

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = '6ac553965677'
down_revision: Union[str, None] = None
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    op.create_table(
        'supertajnedatanehackneichanirado',
        sa.Column('id', sa.Integer, primary_key=True, index=True, autoincrement=True),
        sa.Column('email', sa.String, unique=True, index=True),
        sa.Column('hashed_password', sa.String),
        sa.Column('vote', sa.String, index=True),
        sa.Column('encrypted_key', sa.String),
        sa.Column('data_hash', sa.String),
        sa.Column('public_key', sa.String)
    )


def downgrade() -> None:
    op.drop_table('supertajnedatanehackneichanirado')
