from sqlalchemy import Column, Integer, String
from sqlalchemy.ext.declarative import declarative_base
from pydantic import BaseModel

Base = declarative_base()


class User(Base):
    __tablename__ = 'supertajnedatanehackneichanirado'

    id = Column(Integer, primary_key=True, index=True, autoincrement=True)
    email = Column(String, unique=True, index=True)
    hashed_password = Column(String)
    vote = Column(String, index=True)
    encrypted_key = Column(String)
    data_hash = Column(String)
    public_key = Column(String)

class Candidate(Base):
    __tablename__ = 'candidates'

    id = Column(Integer, primary_key=True, index=True, autoincrement=True)
    name = Column(String)
    surname = Column(String)
    party = Column(String)

class UserRequest(BaseModel):
    email: str
    password: str


class AddPublicKeyRequest(BaseModel):
    public_key: str

class AddEncryptedMessage(BaseModel):
    encrypted_message: str

class ChangePasswordRequest(BaseModel):
    email: str
    old_password: str
    new_password: str
    new_password_confirmation: str
