# Back-end notes

## Setup

In root of project copy `.env.example` to create files:
  - `.env` - variables for production
  - `.env.local` - variables for dev

(practically only `EXJS_SERVER_PORT` needs to be different now - in case dev & prod runs at the same time)

## Local dev database

Production database is only accessible in docker container package - for dev purposes we need to make our own dev db

1. build dev-db image (fill the password based on .env.local)
```
docker build -t postgres-dev -f Dockerfile.dev-db . --build-arg DB_USER=db-user --build-arg DB_PASSWORD= --build-arg DB_NAME=app --build-arg DB_PORT=5432
```
2. run the container and delete container if it already exists
```
docker rm -f postgres-dev; docker run -d -p 5432:5432 --name postgres-dev postgres-dev
```

## Run
Local dev run:
1. run `postgres-dev` database container
1. in /backend run (first time)
```
npm i
```
3. run
```
npm start
```
