const express = require("express");
const cryptoController = express.Router();
const cryptoService = require("../services/cryptoService");
const verifyJWT = require("../middleware/verifyJWT");
const { encryptData } = require("../services/utils");
const db = require("../db/connect");


cryptoController.get("/symmetricKey", verifyJWT, async (req, res) => {
  const sendData = {symmKey: res.locals.symmKey, vector: res.locals.vector}
  const publicKeyQuery = await db.query('SELECT public_key FROM users WHERE system_id = $1', [res.locals.user.system_id])
  try {
    if (publicKeyQuery.rows[0].public_key) {
      const encryptedData = encryptData(sendData, publicKeyQuery.rows[0].public_key);
      return res.status(200).send(encryptedData.data);
    } else {
      return res.status(405).send({message: 'User does not have set up encryption keys.'})
    }
  } catch (error) {
    return res.status(500).send();
  }
})

module.exports = cryptoController;