async function createFlightsIfNecessary(db) {
  const destinations = await db.query('SELECT * FROM connections;');
  
  for (let i = 0; i < destinations.rows.length; i++) {
    const dest = destinations.rows[i];
    const availables = await db.query('SELECT departure FROM flights WHERE connection_id = $1 AND departure >= now() ORDER BY departure DESC;', [dest.id]);

    if (availables.rows.length < 4) {
      for (let j = 0; j < 6; j++) {
        const price = random(32, 77) * 100 + 90;
        
        const base_date = (availables.rows.length >= 1) ? new Date(availables.rows[0].departure): new Date();
        base_date.setHours(random(6, 9));
        base_date.setMinutes(0);
        base_date.setSeconds(0);
        base_date.setMilliseconds(0);

        const departure = new Date(base_date);
        departure.setDate(departure.getDate() + j);
        
        const arrival = new Date(base_date);
        arrival.setDate(departure.getDate());
        arrival.setMinutes(departure.getMinutes() + dest.duration_min);

        await db.query('INSERT INTO flights (connection_id, price, departure, arrival) VALUES ($1, $2, $3, $4)',
          [dest.id, price, departure, arrival]);
      }
    }
  }

}

function random(min, max) {
  return (Math.floor(Math.random() * (max-min)) + min)
}

module.exports = {
  createFlightsIfNecessary,
}