module.exports.generateSql = () => `
  CREATE TABLE IF NOT EXISTS connections (
    id serial PRIMARY KEY,
    dept_city_name VARCHAR NOT NULL,
    dept_city_code VARCHAR NOT NULL,
    arr_city_name VARCHAR NOT NULL,
    arr_city_code VARCHAR NOT NULL,
    code VARCHAR NOT NULL,
    duration_min INT NOT NULL 
  );
  
  CREATE TABLE IF NOT EXISTS flights (
    id serial PRIMARY KEY,
    connection_id INT REFERENCES connections(id) ON DELETE CASCADE,
    price INT NOT NULL,
    departure TIMESTAMP NOT NULL,
    arrival TIMESTAMP NOT NULL,
    created_at TIMESTAMP NOT NULL DEFAULT NOW()
  );
  
  CREATE TABLE IF NOT EXISTS tickets (
    id serial PRIMARY KEY,
    flight_id INT REFERENCES flights(id) ON DELETE SET NULL,
    seat VARCHAR NOT NULL,
    class VARCHAR NOT NULL,
    boarding_group INT NOT NULL,
    owner INT REFERENCES users(id) ON DELETE SET NULL,
    created_at TIMESTAMP NOT NULL DEFAULT NOW()
  );

  INSERT INTO connections (dept_city_name, dept_city_code, arr_city_name, arr_city_code, code, duration_min)
    VALUES ('Bratislava', 'BTS', 'Bernolákovo', 'BNK', 'BE450', 12);
  INSERT INTO connections (dept_city_name, dept_city_code, arr_city_name, arr_city_code, code, duration_min)
    VALUES ('Bernolákovo', 'BNK', 'Bratislava', 'BTS', 'BE451', 13);
`