const { decryptData } = require("../services/utils");
const { consoleLogger } = require("../services/utils");

// Decrypt response, this middleware is call before controller
// accept body format { secret: {}, data: {} }
// where secret are encrypted data and data everything else
const decrypt = (req, res, next) => {
  let result = decryptData(req.body.secret);
  if (!result.ok) {
    consoleLogger(["Decryption error", req.method, req.path]);
    return res.status(400).send({ error: "Decryption error!" });
  }
  req.body = {
    ...result.data,
    ...req.body.data,
  };
  next();
};

module.exports = decrypt;
