const jwt = require("jsonwebtoken");
const fs = require("fs");
const { consoleLogger } = require("../services/utils");
const userService = require("../services/userService");

// Verify user and append user to res.locals middleware storage
const verifyJWT = async (req, res, next) => {
  const authHeader = req.headers["authorization"];
  if (authHeader == null) return res.sendStatus(401);
  const token = authHeader.split(" ")[1];
  if (token == null) return res.sendStatus(401);
  try {
    let jwtPrivKey = fs.readFileSync("./src/runtime/jwt.key");
    const decodedJwt = jwt.verify(token, jwtPrivKey);
    const result = await userService.getUserBySystemId(decodedJwt.userSystemId);
    if (result.ok) {
      res.locals = {
        user: result.data,
        symmKey: decodedJwt.symmKey,
        vector: decodedJwt.vector,
      };
      next();
    }
  } catch (err) {
    consoleLogger(["Unauthorized", req.method, req.path]);
    return res.sendStatus(403);
  }
};

module.exports = verifyJWT;
