const puppeteer = require('puppeteer');
const path = require("path");
const fs = require('fs');

const DESTINATION_SAVE_PATH = './src/generated'

function getDestPath() {
  return DESTINATION_SAVE_PATH;
}

async function createAndSavePdfTicket(code, data) {
  let templateData = `${fs.readFileSync('./src/assets/pdfHtmlTemplate.html')}`

  const dept = new Date(data.departure)
  const arr = new Date(data.arrival)

  const time_dept = `${dept.getHours().toString().padStart(2, '0')}:${dept.getMinutes().toString().padStart(2, '0')}`
  const time_arr = `${arr.getHours().toString().padStart(2, '0')}:${arr.getMinutes().toString().padStart(2, '0')}`
  const date = `${dept.getDate().toString().padStart(2, '0')}.${(dept.getMonth() + 1).toString().padStart(2, '0')}.${dept.getFullYear()}`

  templateData = templateData.replace('__D__', data.d_cit_c)
  templateData = templateData.replace('__A__', data.a_cit_c)
  templateData = templateData.replace('__flight_code__', data.f_code)
  templateData = templateData.replace('__departure_city__', data.d_cit_n)
  templateData = templateData.replace('__arrival_city__', data.a_cit_n)
  templateData = templateData.replace('__d_time__', time_dept)
  templateData = templateData.replace('__a_time__', time_arr)
  templateData = templateData.replace('__date__', date)
  templateData = templateData.replace('__name__', data.name)
  templateData = templateData.replace('__surname__', data.surname)
  templateData = templateData.replace('__seat__', data.seat)
  templateData = templateData.replace('__class__', data.class)
  templateData = templateData.replace('__boarding_group__', data.b_group)
  templateData = templateData.replace('__ticket_code__', data.code)

  const browser = await puppeteer.launch({
    headless: "new",
    args: ['--no-sandbox'],
    userDataDir: '/webapp/puppeteer',
  });
  const page = await browser.newPage();
  await page.setContent(templateData);
  const pdfBuffer = await page.pdf({ format: 'A4' });

  fs.writeFileSync(path.join(DESTINATION_SAVE_PATH, `${code}.pdf`), pdfBuffer)

  await browser.close();
  return true;
}

module.exports = {
  createAndSavePdfTicket,
  getDestPath,
}
