const db = require("../db/connect");

async function getUserBySystemId(userSystemId) {
  try {
    const result = await db.query("SELECT * FROM users WHERE system_id = $1", [
      userSystemId,
    ]);
    if (result.rows.length == 0) {
      return { ok: false, result: "user does not exist" };
    } else {
      return { ok: true, data: result.rows[0] };
    }
  } catch (err) {
    return { ok: false, result: "Unknown internal error." };
  }
}

module.exports = {
  getUserBySystemId,
};
