import {
  AlertDialog,
  AlertDialogContent,
  AlertDialogDescription,
  AlertDialogFooter,
  AlertDialogHeader,
  AlertDialogTitle,
} from '@/components/ui/alert-dialog';
import { Button } from './ui/button';

type CloseModalProps = {
    title: string,
    description?: string,
    onClose: () => void
    open?: boolean,
    children?: any,
}

const CloseModal = ({ title, description = "", onClose, open = true, children }: CloseModalProps) => {
  return (
    <div>
      <AlertDialog open={open}>
        <AlertDialogContent>
          <AlertDialogHeader>
            <AlertDialogTitle>{title}</AlertDialogTitle>
            <AlertDialogDescription>{description}</AlertDialogDescription>
          </AlertDialogHeader>
          {children != null && children}
          <AlertDialogFooter>
            <Button onClick={onClose}>Zavrieť</Button>
          </AlertDialogFooter>
        </AlertDialogContent>
      </AlertDialog>
    </div>
  );
};

export default CloseModal;
