import { Moon, Sun } from 'lucide-react';
import { Button } from './ui/button';
import { useTheme } from '../providers/theme';

const ThemeToggle = () => {
  const { theme, setTheme } = useTheme();

  return (
    <Button
      className="hover:bg-slate-200"
      variant="ghost"
      size="icon"
      onClick={() => setTheme(theme === 'dark' ? 'light' : 'dark')}
    >
      {theme === 'dark' ? (
        <Sun className="h-[1.2rem] w-[1.2rem] rotate-90 scale-0 transition-all dark:rotate-0 dark:scale-100" />
      ) : (
        <Moon className="h-[1.2rem] w-[1.2rem] rotate-0 scale-100 transition-all dark:-rotate-90 dark:scale-0" />
      )}
    </Button>
  );
};

export default ThemeToggle;
