import { Outlet } from 'react-router-dom';
import MenuBar from '@/components/MenuBar';
import { useAuthContext } from '@/providers/auth';

const GuestLayout = () => {
  const { token } = useAuthContext();

  return (
    <div className={`min-h-screen relative pt-[44px] ${token && 'lg:pl-[210px]'}`}>
      <MenuBar />
      <main className="flex flex-col justify-center items-center p-4 w-full min-h-[calc(100vh-44px)]">
        <Outlet />
      </main>
    </div>
  );
};

export default GuestLayout;
