import * as z from 'zod';

export type User = {
  id: number,
  email: string,
  name: string,
  surname: string
}

export const UpdateUserSchema = z.object({
  firstname: z
    .string()
    .min(1, 'Povinný atribút')
    .max(50, 'Maximálna dĺžka atribútu je 50 znakov')
    .default(''),
  lastname: z
    .string()
    .min(1, 'Povinný atribút')
    .max(50, 'Maximálna dĺžka atribútu je 50 znakov')
    .default(''),
});

export type TUpdateUser = z.infer<typeof UpdateUserSchema>;