import * as z from 'zod';

export const KeyInputFormSchema = z.object({
  privateKeyFile: z.any().refine(
    value => {
      if (value) {
        const file = value;
        console.log(file);
        if (file.size > 1024 * 1024) {
          return 'File size should not exceed 1MB.';
        }
      }
      return true;
    },
    {
      message: 'Nesprávny súbor',
    },
  ),
  publicKeyFile: z.any().refine(
    value => {
      if (value) {
        const file = value;
        console.log(file);
        if (file.size > 1024 * 1024) {
          return 'File size should not exceed 1MB.';
        }
      }
      return true;
    },
    {
      message: 'Nesprávny súbor',
    },
  ),
});

export type TKeyInputForm = z.infer<typeof KeyInputFormSchema>;
