import * as z from 'zod';

export const LoginFormSchema = z.object({
  email: z
    .string()
    .min(1, 'Povinný atribút')
    .max(50, 'Maximálna dĺžka atribútu je 50 znakov')
    .email('Neplatný tvar emailovej adresy')
    .default(''),
  password: z
    .string()
    .min(1, 'Povinný atribút')
    .max(100, 'Maximálna dĺžka atribútu je 100 znakov')
    .default(''),
});

export type TLoginForm = z.infer<typeof LoginFormSchema>;

export type TPubKeyRequest = {
  email: string;
  password: string;
};

export type TPubKeyResponse = {
  token: string;
};
