
import { Link } from 'react-router-dom'; // Importuj link na navigáciu v rámci aplikácie

const WelcomePage = () => {
  return (
    <div className="mx-auto max-w-7xl px-4 sm:px-6 lg:px-8 w-[min(1000px,75%)]">
      <h1 className="text-4xl font-bold text-center mt-8 mb-20">
        Vitajte v systéme rezervácii leteniek!
      </h1>
      <p className="text-lg font-normal text-center mb-8">
        Jedná sa o systém, ktorý ponúka predaj cestovných lístkov (leteckej dopravy).
        Systém umožňuje nasledovné funkcie:
      </p>

      <div className="max-w-3xl mx-auto">
        <ul className="list-disc list-inside">
          <li>Registrácia a prihlásenie používateľov</li>
          <li>Nákup lístkov a prehliadanie zakúpených lístkov</li>
          <li>Zmena osobných údajov používateľov</li>
          <li>Odosielanie lístkov (PDF dokumentov) po nákupe lístka</li>
        </ul>
      </div>

      <p className="text-lg font-normal text-center mt-8">
        Táto apilkácia je výsledkom zadania pre predmet 'Úvod do počítačovej bezpečnosti'.
        Tento systém je navrhnutý s dôrazom na bezpečnosť, kde dodržiavame bezpečnostné štandardy vrátane šifrovania dát,
        použitia JWT tokenov na overenie, použitie súkromných a verejných kľúčov pre prenos a šifrovanie údajov atd.
      </p>

      <div className="flex justify-center mt-8">
        <Link
          to="/login"
          className="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline"
        >
          Prejdite na prihlásenie
        </Link>
      </div>
    </div>
  );
};

export default WelcomePage;
