import {
  createBrowserRouter,
  createRoutesFromElements,
  Route,
} from 'react-router-dom';
import GuestLayout from './layouts/GuestLayout';
import UserLayout from './layouts/UserLayout';
import NotFoundPage from './pages/not-found/page';
import LoginPage from './pages/login/page';
import RegistrationPage from './pages/registration/page';
import HomePage from './pages/home/page';
import WelcomePage from './pages/welcome/page';
import KeysPage from './pages/keys/page';
import EncryptionTesterPage from './pages/encryption-tester/page';
import KeyInputPage from './pages/key-input/page';
import Tickets from './pages/tickets/page';
import BuyTicketPage from './pages/buy-ticket/page';

const router = createBrowserRouter(
  createRoutesFromElements(
    <Route>
      <Route path="/" element={<GuestLayout />}>
        <Route index element={<WelcomePage />} />
        <Route path="login" element={<LoginPage />} />
        <Route path="registration" element={<RegistrationPage />} />
      </Route>
      <Route path="*" element={<NotFoundPage />} />
      <Route path="/" element={<UserLayout />}>
        <Route path="home" element={<HomePage />} />
        <Route path="keys" element={<KeysPage />} />
        <Route path="encryption-tester" element={<EncryptionTesterPage />} />
        <Route path="key-input" element={<KeyInputPage />} />
        <Route path="tickets" element={<Tickets />} />
        <Route path="buy-ticket" element={<BuyTicketPage />} />
      </Route>
    </Route>,
  ),
);
export default router;
