const crypto = require("crypto");

exports.decryptHashedPassword = (password) => {
    const binaryString = Buffer.from(password, 'base64').toString('binary');
    const newBytes = new Uint8Array(binaryString.length);

    for (let i = 0; i < binaryString.length; i++) {
        newBytes[i] = binaryString.charCodeAt(i);
    }

    const privateKey = crypto.createPrivateKey(process.env.PRIVATE_KEY);

    // Decrypt the data
    const decryptedPassword = crypto.privateDecrypt(
        {
            key: privateKey,
            padding: crypto.constants.RSA_PKCS1_OAEP_PADDING,
            oaepHash: 'sha256', // Specify the OAEP hash algorithm
        },
        newBytes
    );

    return decryptedPassword.toString();
}