const crypto = require('crypto');

const { publicKey, privateKey } = crypto.generateKeyPairSync('rsa', {
    modulusLength: 2048,
    publicKeyEncoding: {
        type: 'spki',
        format: 'pem',
        oaepHash: 'sha256'
    },
    privateKeyEncoding: {
        type: 'pkcs8',
        format: 'pem',
        oaepHash: 'sha256'
    },
});

console.log("Public key:\n", publicKey)
console.log("Private key:\n", privateKey)