const express = require('express');
const cors = require('cors')
const app = express();
const db = require('./models');

app.use(cors())
app.use(express.json());

// Import route files
const userRoutes = require('./routes/User.js');
const invoiceRoutes = require('./routes/Invoice.js');
const reviewRoutes = require('./routes/Review.js');
const foodRoutes = require('./routes/Food.js');

const { generateFoodMenu } = require("./dataFaker")

// Use the route files in your Express app
const apiRoute = "/api";
app.use(apiRoute, userRoutes);
app.use(apiRoute, invoiceRoutes);
app.use(apiRoute, reviewRoutes);
app.use(apiRoute, foodRoutes);

// Use { force: true } option to always drop and recreate the table
db.sequelize.sync({force: true}).then(() => {
    app.listen(process.env.NODE_LOCAL_PORT, () => {
        console.log("******* Server is Running ! *******")
        generateFoodMenu();
    })
})