module.exports = (sequelize, DataTypes) => {
    const Food = sequelize.define("Food", {
        id: {
            type: DataTypes.UUID,
            defaultValue: DataTypes.UUIDV4,
            primaryKey: true,
        },
        name: {
            type: DataTypes.STRING,
            allowNull: false,
            validate: {
                notEmpty: true
            },
        },
        isSoup: {
            type: DataTypes.BOOLEAN,
            defaultValue: false, // Set a default value if needed
        },
        price: {
            type: DataTypes.DECIMAL(10, 2), // 10 total digits, 2 decimal places
            allowNull: false,
        },
    });

    return Food;
};