module.exports = (sequelize, DataTypes) => {
    const Review = sequelize.define("Review", {
        id: {
            type: DataTypes.UUID,
            defaultValue: DataTypes.UUIDV4,
            primaryKey: true,
        },
        firstName: {
            type: DataTypes.STRING,
            allowNull: false,
            validate: {
                notEmpty: true
            },
        },
        lastName: {
            type: DataTypes.STRING,
            allowNull: false,
            validate: {
                notEmpty: true
            },
        },
        food: {
            type: DataTypes.STRING(4096),
            allowNull: false,
            validate: {
                notEmpty: true
            },
        },
        stars: {
            type: DataTypes.INTEGER,
            allowNull: true,
            validate: {
                notEmpty: true
            },
        },
        message: {
            type: DataTypes.STRING(4096),
            allowNull: true
        },
    });

    Review.associate = (models) => {
        Review.belongsTo(models.User, {
            foreignKey: 'userId', // Specify the exact foreign key column name
        });
    };

    return Review;
};