module.exports = (sequelize, DataTypes) => {
    const User = sequelize.define("User", {
        id: {
            type: DataTypes.UUID,
            defaultValue: DataTypes.UUIDV4,
            primaryKey: true,
        },
        firstName: {
            type: DataTypes.STRING,
            allowNull: false,
            validate: {
                notEmpty: true
            },
        },
        lastName: {
            type: DataTypes.STRING,
            allowNull: false,
            validate: {
                notEmpty: true
            },
        },
        email: {
            type: DataTypes.STRING,
            allowNull: false,
            validate: {
                notEmpty: true
            },
            unique: true
        },
        password: {
            type: DataTypes.STRING(2048),
            allowNull: false,
            validate: {
                notEmpty: true
            },
        },
        salt: {
            type: DataTypes.STRING(50),
            allowNull: false,
            validate: {
                notEmpty: true
            },
        },
        publicKey: {
            type: DataTypes.STRING(4096),
            allowNull: true,
        },
    });

    User.associate = (models) => {
        User.hasMany(models.Invoice,{ foreignKey: 'userId' });
        User.hasMany(models.Review, { foreignKey: 'userId' });
    };

    return User;
};