const express = require('express');
const route = express.Router();
const bodyParser = require("body-parser");
const { User, Review, Food } = require("../models");
const crypto = require('crypto');
const { createHash } = require('crypto');

route.use(bodyParser.json());

route.get('/foods', async (req, res) => {
    try {
        // Retrieve all reviews from the database
        const foods = await Food.findAll({
            attributes: ['id', 'name', 'price', 'isSoup'],
        });

        // Send the reviews as JSON in the response
        res.json(foods);
    } catch (error) {
        // console.error('Error retrieving reviews:', error);
        // Handle the error and send an appropriate response
        res.status(500).json({ error: 'Internal Server Error' });
    }
});

module.exports = route;